

#include <IRremote.h>
#include <IRremoteInt.h>


int enable1 = 11;
int enable2 = 3;

int input1 = 5;
int input2 = 6;
int input3 = 9;
int input4 = 10;

int onOff = 2;
int aurreraAtzera = 4;
int eskumaEzkerra = 7;

int egoera = 0;

int RECV_PIN = 12;

IRrecv irrecv(RECV_PIN);

decode_results results;

uint16_t lastCode = 0;

void setup() {
  
  Serial.begin(9600);
  
  pinMode(enable1, OUTPUT);
  pinMode(enable2, OUTPUT);
  analogWrite(enable1, 100);
  analogWrite(enable2, 100);
  
  pinMode(input1, OUTPUT);
  pinMode(input2, OUTPUT);
  pinMode(input3, OUTPUT);
  pinMode(input4, OUTPUT);
  
  digitalWrite(input1, HIGH);
  digitalWrite(input2, HIGH);
  digitalWrite(input3, HIGH);
  digitalWrite(input4, HIGH);  

  pinMode(onOff, INPUT);
  pinMode(aurreraAtzera, INPUT);
  pinMode(eskumaEzkerra, INPUT);
  
  irrecv.enableIRIn(); 
  irrecv.blink13(true);

}

void loop() {
  // put your main code here, to run repeatedly:
  if (irrecv.decode(&results)) 
  {
    Serial.println(results.value);
      
    if(results.value == 0x10EFD827){ 
      Serial.print("ON ");
      if(egoera==0)
      {
        analogWrite(enable1,100);
        analogWrite(enable2,100);
        egoera=1;
        }
      else
      {
        analogWrite(enable1,0);
        analogWrite(enable2,0);
        egoera=0;
       }
      
    }
    else if(results.value == 0x10EFA05F){ 
      Serial.print("AURRERA ");
       analogWrite(enable1,100);
      analogWrite(enable2,100);
      digitalWrite(input1,HIGH);
      digitalWrite(input2,LOW);
      digitalWrite(input3,HIGH);
      digitalWrite(input4,LOW);
    }
    else if(results.value == 0x10EF00FF){ 
      Serial.print("ATZERA ");
       analogWrite(enable1,100);
      analogWrite(enable2,100);
      digitalWrite(input1,LOW);
      digitalWrite(input2,HIGH);
      digitalWrite(input3,LOW);
      digitalWrite(input4,HIGH);
    }
    else if(results.value == 0x10EF807F){ 
      Serial.print("ESKUMARA ");
      analogWrite(enable1,50);
      digitalWrite(input1,HIGH);
      digitalWrite(input2,LOW);
      digitalWrite(input3,HIGH);
      digitalWrite(input4,HIGH);
    }
    else if(results.value == 0x10EF10EF){ 
      Serial.print("EZKERRERA ");
      digitalWrite(input1,LOW);
      digitalWrite(input2,LOW);
      analogWrite(enable2,50);
      digitalWrite(input3,HIGH);
      digitalWrite(input4,LOW);
    }
    
    Serial.println(results.value, HEX);
    irrecv.resume(); // Receive the next value
    delay(250);
  }

}
